Open Babel: OBRotorRules Class Reference

Public Member Functions | Protected Attributes

# OBRotorRules Class Reference

Database of default hybridization torsional rules and SMARTS-defined OBRotorRule objects. More...

`#include <openbabel/rotor.h>`

Inheritance diagram for OBRotorRules:

List of all members.

## Public Member Functions
| OBRotorRules ()
| ~OBRotorRules ()
void | ParseLine (const char *)
size_t | GetSize ()
void | SetFilename (std::string &s)
void | GetRotorIncrements (OBMol &mol, OBBond *bond, int refs[4], std::vector< double > &vals, double &delta)
void | Quiet ()
void | Init ()
void | SetReadDirectory (char *dir)
void | SetEnvironmentVariable (char *var)
## Protected Attributes
bool | _init
const char * | _dataptr
std::string | _filename
std::string | _dir
std::string | _subdir
std::string | _envvar

## Detailed Description

Database of default hybridization torsional rules and SMARTS-defined OBRotorRule objects.

Use to automatically evaluate potentially rotatable bonds to generate lists of dihedral angles to consider. e.g., rotamer/conformer energy calculations

## Constructor & Destructor Documentation

OBRotorRules | ( | ) |

~OBRotorRules | ( | ) |

## Member Function Documentation

void ParseLine | ( | const char * | ) | `[virtual]`

Specified by particular table classes (parses an individual data line)

Reimplemented from OBGlobalDataBase.

size_t GetSize | ( | ) | `[inline, virtual]`

Returns:
  the number of rotor rules

Reimplemented from OBGlobalDataBase.

void SetFilename | ( | std::string & | s ) | `[inline]`

Set the filename to be used for the database. Default = torlib.txt.

void GetRotorIncrements | ( | OBMol & | mol,
|  | OBBond * | bond,
|  | int | refs[4],
|  | std::vector< double > & | vals,
|  | double & | delta
| ) |  |

Determine the torsional angles to evaluate based on the database

Parameters:

  mol | molecule to evaluate
  bond | rotatable bond to evaluate
  refs | set to be the atom indexes (in mol) of the dihedral angle
  vals | set to be the list of angles to evaluate (in radians)
  delta | potential dihedral angle steps (in degrees)

void Quiet | ( | ) | `[inline]`

Turn off debugging output from GetRotorIncrements()

void Init | ( | ) | `[inherited]`

Read in the data file, falling back as needed.

void SetReadDirectory | ( | char * | dir ) | `[inline, inherited]`

Set the directory before calling Init()

void SetEnvironmentVariable | ( | char * | var ) | `[inline, inherited]`

Set the environment variable to use before calling Init()

## Member Data Documentation

bool _init`[protected, inherited]`

Whether the data been read already.

const char* _dataptr`[protected, inherited]`

Default data table if file is unreadable.

std::string _filename`[protected, inherited]`

File to search for.

std::string _dir`[protected, inherited]`

Data directory for file if _envvar fails.

std::string _subdir`[protected, inherited]`

Subdirectory (if using environment variable)

std::string _envvar`[protected, inherited]`

Environment variable to check first.

The documentation for this class was generated from the following files:

- rotor.h
- rotor.cpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines